Package: org.codehaus.groovy.grails.web.pages

## [Java] Class GroovyPageResourceLoader

- org.codehaus.groovy.grails.web.pages.GroovyPageResourceLoader

- A StaticResourceLoader that loads GSPs from a local grails-app folder instead of from WEB-INF in development mode.

  Authors:
    Graeme Rocher
  See Also:
    StaticResourceLoader
  Since:
    0.5

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `BEAN_ID` | The id of the instance of this bean to be used in the Spring context

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.String` | `buildPluginViewPath(java.lang.String pluginBaseDirectory, java.lang.String pluginName, java.lang.String pathRelativeToPlugin)`
    `protected java.lang.String` | `buildPluginViewPathFromBase(java.lang.String pluginBase, java.lang.String pathRelativeToPlugin, java.lang.StringBuilder builder)`
    `protected boolean` | `compareFilePaths(java.io.File f1, java.io.File f2)`
    `protected org.springframework.core.io.Resource` | `findInInlinePlugin(java.lang.String pluginFullName, java.lang.String pathRelativeToPlugin)`
    `org.springframework.core.io.Resource` | `getResource(java.lang.String location)`
    `protected boolean` | `isInlinePlugin(GrailsPluginInfo pluginInfo)`
    `void` | `setBaseResource(org.springframework.core.io.Resource baseResource)`
    `void` | `setPluginSettings(PluginBuildSettings settings)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StaticResourceLoader` | `getClassLoader, getResource, setBaseResource`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String BEAN_ID

      The id of the instance of this bean to be used in the Spring context

  - ### Method Detail

    - #### protected java.lang.String buildPluginViewPath(java.lang.String pluginBaseDirectory, java.lang.String pluginName, java.lang.String pathRelativeToPlugin)

    - #### protected java.lang.String buildPluginViewPathFromBase(java.lang.String pluginBase, java.lang.String pathRelativeToPlugin, java.lang.StringBuilder builder)

    - #### protected boolean compareFilePaths(java.io.File f1, java.io.File f2)

    - #### protected org.springframework.core.io.Resource findInInlinePlugin(java.lang.String pluginFullName, java.lang.String pathRelativeToPlugin)

    - #### @java.lang.Override public org.springframework.core.io.Resource getResource(java.lang.String location)

    - #### protected boolean isInlinePlugin(GrailsPluginInfo pluginInfo)

    - #### @java.lang.Override public void setBaseResource(org.springframework.core.io.Resource baseResource)

    - #### public void setPluginSettings(PluginBuildSettings settings)